<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Playing MP3s with GSSMP</title>
</head>
<body>

<address><a href="index.html">Home</a> | <a href="install.html">Install</a> | 
<a href="use.html">Use</a> |
<a href="screenshots.html">Screenshots</a> |
<a href="developers.html">Developers</a> |
<a href="contact.html">Contact</a></address>

<h1>Installing lastfmsubmitd to use with GSSMP</h1>

<h2>Ubuntu</h2>

<p>The Ubuntu lastfmsubmitd package is missing a vital piece, which is the
lastfmsubmit program (note the lack of a "d" at the end).</p>

<p>To use lastfmsubmit on Ubuntu, do this:</p>

<tt>sudo apt-get install lastfmsubmitd</tt>

<p>and then download the lastfmsubmitd source tarball from here:
<a href="http://www.red-bean.com/~decklin/software/lastfmsubmitd/lastfmsubmitd-0.35.tar.bz2">http://www.red-bean.com/~decklin/software/lastfmsubmitd/lastfmsubmitd-0.35.tar.bz2</a></p>

<p>And unzip it and copy the lastfmsubmit program into your path like this:</p>

<p><tt>tar -xjf lastfmsubmitd-0.35.tar.bz2<br />
sudo cp lastfmsubmitd-0.35/lastfmsubmit /usr/bin</tt></p>

<p>Now GSSMP should allow you to check the box to turn on last.fm
submission.</p>

<p>Note: if you use a tarball later than version 0.35, everything is more
difficult since you need the client.py module as well as the lastfmsubmit
file.</p>

<h2>Other distros</h2>

<p>It looks likely that you will have to do a similar thing to Ubuntu users:
install the lastfmsubmitd package and manually copy the lastfmsubmit
program from the source tarball of version 0.35.  Let me know if you manage
it on your distro and I'll be glad to put more detailed instructions here.</p>

<div style="float:right"><a href="http://sourceforge.net/projects/gssmp/"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=187144&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" /></a></div>

<address><a href="index.html">Home</a> | <a href="install.html">Install</a> | 
<a href="use.html">Use</a> |
<a href="screenshots.html">Screenshots</a> |
<a href="developers.html">Developers</a> |
<a href="contact.html">Contact</a></address>

</body>
</html>

